Subject: manual Cox cable config (!)

From: [email-masked] (Lisa Winkler)
Date: 19 Jan 2002 09:40:51 -0700

On Sat, 2002-01-19 at 01:31, Gontran wrote:

> Really, no.  It's an unuspported OS, and more strictly, utilizing "Cox
> Services" (heh) for more than one machine at a time (heh heh heh) is prohibited
> along with IP Translation ... ie, no IP Masq.  Just finished reading the
> cox.net terms of service. So this email never happened, and you're using 
> Win95.

Is there some new terms of service document that I haven't found yet?  I
have been looking for one, just in case something that ridiculous shows
up on it.  On @home they didn't care if you hooked up multiple
computers, running whatever oses you wanted, as long as you didn't
expect them to help you.  Afaik they still support multiple IPs on an
account, so I don't see how this could be changing.  Maybe it's NAT they
have a problem with.  Well, they'll never know.
> 
> For those of you putting conversion off to the very last minute, such as
> myself, allow me to share my most apprehensive speculations.
> 
> To initiate the conversion process, one must take the Confirmation number
> mailed in the Cox Toolbox (heh), and click through a couple of web forms
> correlating your account's authoritative email address with it, and allowing
> you to select a new password for your administrative account.
> 
> The next instruction is to toss in the install CD.  Oh oh, threw mine out
> along with all the glossies from the Cox Box (heh) -- that mailing cost them
> a gem!  But no need to worry, looks like the CD just autoconfigures your
> TCP/IP settings for DHCP (as far as anyone knows).
> 
> Couple of things here:  Before I was instructed to pop in the ol' CD, it was
> made clear that any other email accounts "must" be configured _after_ I convert
> the DHCP settings.  And further, (THIS COULD BE A MATTER) I should
> be careful NOT to change the cox hostname currently assigned, before I attempt
> the "migration".  
> 
You don't need the install CD, you just need to get your DHCP configured
according to the instructions someone pointed to earlier (though you do
need to click through from
http://support.cox.net/custsup/advancewarn.shtml or the page won't
load.)  I also filed my CD in the trash.

I talked to a cox tech support person about a month ago, and
miraculously got a person with at least half a clue.  He explained that
while (as you probably know) the @home network uses hostnames to map to
IPs in the DHCP server, the new cox network will use MAC addresses.  I
think they preloaded the cox.net DHCP servers with the MAC <-> IP
mappings from their @home servers.  (Though I wasn't clear on this
point).  At any rate, when you transition over to cox.net it should
recognize your MAC address and assign you the same old IP you always
had.  I am not sure why changing the hostname *before* transitioning
makes a difference, but I didn't feel any burning desire to change it
before I knew everything was up and running, and everything went fine.

Lisa